petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdaptSetCheckStage

set a callback to check convergence for a stage

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetCheckStage(TSAdapt adapt,PetscErrorCode (*func)(TSAdapt,TS,PetscReal,Vec,PetscBool*))

Logically collective on TSAdapt Many br

### Input Arguments

| adapt | - adaptive controller context Many br
| func | - stage check function Many br

### Arguments of func

     PetscErrorCode func(TSAdapt adapt,TS ts,PetscBool *accept)

| adapt | - adaptive controller context Many br
| ts | - time stepping context Many br
| accept | - pending choice of whether to accept, can be modified by this routine Many br

Many br

### See Also

TSAdaptChoose()

Level:advanced
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages